| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | Static Public Attributes | List of all members
Ogre::RTShader::HLSLProgramWriter Class Reference
Optional Components » RTShaderSystem

HLSL target language writer implementation. More...

`#include <OgreShaderHLSLProgramWriter.h>`

Inheritance diagram for Ogre::RTShader::HLSLProgramWriter:
[legend]

## Public Member Functions
| HLSLProgramWriter ()
| Class constructor. More...
virtual | ~HLSLProgramWriter ()
| Class destructor. More...
virtual const String & | getTargetLanguage () const
| More...
virtual void | writeSourceCode (std::ostream &os, Program *program)
| More...

## Static Public Attributes
static String | TargetLanguage

## Detailed Description

HLSL target language writer implementation.

See also
  ProgramWriter.

## Constructor & Destructor Documentation

## ◆ HLSLProgramWriter()

Ogre::RTShader::HLSLProgramWriter::HLSLProgramWriter | ( |  | ) |

Class constructor.

## ◆ ~HLSLProgramWriter()

virtual Ogre::RTShader::HLSLProgramWriter::~HLSLProgramWriter | ( |  | ) |
| virtual

Class destructor.

## Member Function Documentation

## ◆ writeSourceCode()

virtual void Ogre::RTShader::HLSLProgramWriter::writeSourceCode | ( | std::ostream & | os,
|  | Program * | program
| ) |  |
| virtual

See also
  ProgramWriter::writeSourceCode.

Implements Ogre::RTShader::ProgramWriter.

## ◆ getTargetLanguage()

virtual const String& Ogre::RTShader::HLSLProgramWriter::getTargetLanguage | ( |  | ) | const
| inline virtual

See also
  ProgramWriter::getTargetLanguage.

Implements Ogre::RTShader::ProgramWriter.

## Member Data Documentation

## ◆ TargetLanguage

String Ogre::RTShader::HLSLProgramWriter::TargetLanguage
| static

The documentation for this class was generated from the following file:

- OgreShaderHLSLProgramWriter.h